settings
combat difficulty:
hide images
minimal HUD
limit frames per second:
community maps
banned levels:
classic n-gon:
randomization seed:
controls
To change controls click a box
and press an unused key.

FIRE | F | MouseLeft |
FIELD | SPACE | MouseRight
JUMP | W | ArrowUp
CROUCH | S | ArrowDown
LEFT | A | ArrowLeft
RIGHT | D | ArrowRight
GUN → | Q | MouseWheel
GUN ← | E | MouseWheel
GUN # | Num
PAUSE | P |
TESTING | T |

to default keys
updates
about
n-gon is a solo project written in JavaScript, CSS, and HTML using the matter.js 2-D physics library. It's free and open source on Github.